Loading...
Searching...
No Matches
Opm::FluidStateEquilibriumTemperatureModule< Scalar, numPhases, Implementation > Class Template Reference

Module for the modular fluid state which stores the temperatures explicitly and assumes thermal equilibrium. More...

`#include <FluidStateTemperatureModules.hpp>`

## Public Member Functions

const Scalar & | temperature (unsigned) const
| The temperature of a fluid phase [-].
void | setTemperature (const Scalar &value)
| Set the temperature of a phase [-].
template<class FluidState>
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.

## Protected Attributes

Scalar | temperature_

## Detailed Description

template<class Scalar, unsigned numPhases, class Implementation>
class Opm::FluidStateEquilibriumTemperatureModule< Scalar, numPhases, Implementation >

Module for the modular fluid state which stores the temperatures explicitly and assumes thermal equilibrium.

## Member Function Documentation

## checkDefined()

template<class Scalar, unsigned numPhases, class Implementation>

void Opm::FluidStateEquilibriumTemperatureModule< Scalar, numPhases, Implementation >::checkDefined | ( |  | ) | const

inline

Make sure that all attributes are defined.

This method does not do anything if the program is not run under valgrind. If it is, then valgrind will print an error message if some attributes of the object have not been properly defined.

The documentation for this class was generated from the following file:

- opm/material/fluidstates/FluidStateTemperatureModules.hpp